Component({
  props: {
    text: '按钮',
    onClick: () => null
  },
  data: {},

  didMount() {},

  methods: {
    handleClick() {
      const {
        pageType
      } = this.props;
      this.props.onClick && this.props.onClick({
        pageType
      });
    }

  }
});